Vulnerabilities (CVE)

Filtered by vendor Typeorm Subscribe
Total 2 CVE
CVE Vendors Products Updated CVSS v2 CVSS v3
CVE-2020-8158 1 Typeorm 1 Typeorm 2022-08-05 7.5 HIGH 9.8 CRITICAL
Prototype pollution vulnerability in the TypeORM package < 0.2.25 may allow attackers to add or modify Object properties leading to further denial of service or SQL injection attacks.
CVE-2022-33171 1 Typeorm 1 Typeorm 2022-07-13 7.5 HIGH 9.8 CRITICAL
** DISPUTED ** The findOne function in TypeORM before 0.3.0 can either be supplied with a string or a FindOneOptions object. When input to the function is a user-controlled parsed JSON object, supplying a crafted FindOneOptions instead of an id string leads to SQL injection. NOTE: the vendor's position is that the user's application is responsible for input validation.